#include "xhbasic.h"
#include "title1.h"
#include "xhbar.xpm"

Pixmap barpm = 0;
Pixmap barmask = 0;

Title1::Title1(XhedgehogWin *xw) :
  Sprite(xw,-400,200,0,0) {
    count = 0;
    if(barpm == 0) {
      xw->LoadPixmap(xhbar_xpm,&barpm,&barmask);
    }
    ChangeSpriteShape(barpm,barmask);
    SetSpriteMotion(50,0);
}

void Title1::MoveSprite(float newx,float newy) {
  if(newx >= 0) {
    SetSpriteMotion(0,0);
    count++;
    if(count >= 50) {
      SetSpriteMotion(-50,0);
    }
  }
  if(newx <= -425) {
    Nuke();
  }
  Sprite::MoveSprite(newx,newy);
}

